/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_TRPCLATSERVICE_TRPCLATSERVICE_COMMON_H
#define JAC_AP_TRPCLATSERVICE_TRPCLATSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_swc2can_signal_values.h"
#include "impl_type_swc2can.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace trpclatservice {

class TRPCLatService {
public:
    constexpr TRPCLatService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/TRPCLatService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace trpclatservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_TRPCLATSERVICE_TRPCLATSERVICE_COMMON_H
